> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Store Data

> Retrieve information about store items.

Available actions:
- `list` - list of all store items.
- `info` - information about a specific item (requires itemName).




## OpenAPI

````yaml en/openapi/en-economy-v2-openapi.yaml GET /moscowroleplay/civops/store
openapi: 3.1.0
info:
  title: ER:LC Russia API V2 - Moscow RolePlay Economy API V2
  version: 2.0.0
servers:
  - url: https://api.erlcrussia.xyz/v2
    description: ER:LC Russia API V2
security: []
tags:
  - name: Moscow RolePlay Economy API V2
    description: Endpoints for managing economy and CivOps system.
paths:
  /moscowroleplay/civops/store:
    get:
      tags:
        - Moscow RolePlay Economy API V2
      summary: Get Store Data
      description: |
        Retrieve information about store items.

        Available actions:
        - `list` - list of all store items.
        - `info` - information about a specific item (requires itemName).
      parameters:
        - name: action
          in: query
          description: Action type for retrieving data.
          required: true
          schema:
            type: string
            enum:
              - list
              - info
        - name: itemName
          in: query
          description: Item name (required for info).
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response with store data.
          content:
            application/json:
              schema:
                type: object
              examples:
                list:
                  summary: Item list.
                  value:
                    count: 4
                    items:
                      - name: Петух
                        description: >-
                          Надежный петух, с помощью которого вы можете выиграть
                          (или проиграть) петушиный бой.
                        price_buy: 2000
                        price_sell: null
                        quantity: null
                        can_use: true
                        can_sell: false
                        createdAt: 1760174181177
                      - name: Элитный Класс
                        description: >-
                          Получите роль "Элитный Класс", чтобы
                          продемонстрировать свое богатство.
                        price_buy: 10000000
                        price_sell: null
                        quantity: null
                        can_use: false
                        can_sell: false
                        createdAt: 1760176255275
                      - name: Лицензия На Ведение Бизнеса
                        description: >-
                          Бизнес должен быть уникальным и одобрен
                          государственными органами и менеджментом сервера.
                          Лицензия может быть аннулирована при отсутствии
                          активности, неправильном использовании или при
                          нарушении правил сервера.
                        price_buy: 15000
                        price_sell: 0
                        quantity: null
                        can_use: false
                        can_sell: false
                        createdAt: 1761645253540
                      - name: Вино "🍷The Box"
                        description: >-
                          В нём живёт свет первых встреч. Тёплый, как смех, что
                          согревал пустые комнаты. Он мягко держит в себе
                          воспоминания о том, как мир становился легче, когда
                          рядом была доброта, не требующая слов.
                        price_buy: 50000
                        price_sell: 0
                        quantity: 993
                        can_use: false
                        can_sell: false
                        createdAt: 1766424061071
                info:
                  summary: Item information.
                  value:
                    item:
                      name: Петух
                      description: >-
                        Надежный петух, с помощью которого вы можете выиграть
                        (или проиграть) петушиный бой.
                      price_buy: 2000
                      price_sell: null
                      quantity: null
                      can_use: true
                      can_sell: false
                      createdAt: 1760174181177
        '400':
          description: Request error (missing itemName for info or unknown action).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedMissingOrInvalidToken'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - MRPAPIKey: []
components:
  schemas:
    ErrorResponse:
      type: object
      description: Standard error format.
      required:
        - code
        - message
      properties:
        code:
          type: integer
          description: API error code.
          example: 5007
        message:
          type: string
          description: Error message/identifier.
          example: Missing Token
    UnauthorizedError:
      type: object
      description: Authentication error (missing or invalid token).
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5007
        message:
          type: string
          example: Missing Token
    ForbiddenError:
      type: object
      description: Access error (forbidden).
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5009
        message:
          type: string
          example: Forbidden
    RateLimitError:
      type: object
      description: Request limit exceeded error.
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 6021
        message:
          type: string
          example: Rate Limit Exceeded
        retry_after:
          type: integer
          description: Time until limit reset in seconds.
          example: 30
    EconomyApiError:
      type: object
      description: Economy API error.
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 6010
        message:
          type: string
          example: Business not found
  responses:
    UnauthorizedMissingOrInvalidToken:
      description: Authentication error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedError'
          examples:
            Missing Token:
              summary: No token.
              value:
                code: 5007
                message: Missing Token
            Invalid Token:
              summary: Invalid or deactivated token.
              value:
                code: 5008
                message: Invalid Token
            Invalid Master Key:
              summary: Invalid master key.
              value:
                code: 5006
                message: Invalid Master Key
    Forbidden:
      description: Access forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenError'
          examples:
            Forbidden:
              summary: No access rights to endpoint.
              value:
                code: 5009
                message: Forbidden
            Api Version Forbidden:
              summary: Access to this API version is forbidden.
              value:
                code: 5010
                message: Api Version Forbidden
            Query Param Forbidden:
              summary: Query parameter is forbidden.
              value:
                code: 5011
                message: Query Param Forbidden
    TooManyRequests:
      description: Request limit exceeded.
      headers:
        X-RateLimit-Limit:
          description: Maximum requests per minute.
          schema:
            type: integer
            example: 60
        X-RateLimit-Remaining:
          description: Remaining number of requests.
          schema:
            type: integer
            example: 0
        Retry-After:
          description: Seconds until limit reset.
          schema:
            type: integer
            example: 30
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RateLimitError'
          examples:
            Rate Limit Exceeded:
              summary: Request limit exceeded.
              value:
                code: 6021
                message: Rate Limit Exceeded
                retry_after: 30
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EconomyApiError'
          examples:
            Internal Server Error Occurred:
              summary: Economy API error.
              value:
                code: 6005
                message: Internal Server Error Occurred.
  securitySchemes:
    MRPAPIKey:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |
        API key for accessing CivOps endpoints.

        Passed in the `Authorization: Bearer <key>` header.

        REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).

````